org.bouncycastle.asn1

## Class BERInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.bouncycastle.asn1.DERInputStream
      - - org.bouncycastle.asn1.BERInputStream

All Implemented Interfaces:
  java.io.Closeable, DERTags

Deprecated.
use ASN1InputStream

    public class BERInputStream
    extends DERInputStream

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Fields inherited from interface org.bouncycastle.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`BERInputStream(java.io.InputStream is)` Deprecated.

### Method Summary

Methods
`DERObject` `readObject()` Deprecated.

### Methods inherited from class org.bouncycastle.asn1.DERInputStream

`buildObject, readFully, readLength`

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BERInputStream

    public BERInputStream(java.io.InputStream is)

Deprecated.

### Method Detail

#### readObject

    public DERObject readObject()
                         throws java.io.IOException

Deprecated.

Overrides:
  `readObject` in class `DERInputStream`
Throws:
  `java.io.IOException`